# Generated from nyan-cat-formatter-0.11.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nyan-cat-formatter

Name: rubygem-%{gem_name}
Version: 0.12.0
Release: 1%{?dist}.6
Summary: Nyan Cat inspired RSpec formatter!
Group: Development/Languages
License: MIT
URL: https://github.com/mattsears/nyan-cat-formatter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rake)
# BuildRequires: (rubygem(rspec) >= 2.99 with rubygem(rspec) < 4)
BuildArch: noarch

%description
Nyan Cat inspired RSpec formatter!


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




# Run the test suite
%check
pushd .%{gem_instdir}
# %{_bindir}/rspec spec --format p
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rvmrc
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/data
%{gem_instdir}/demo.rb
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_instdir}/nyan-cat-formatter.gemspec
%{gem_instdir}/nyan_example.gif
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Wed May 23 2018 Oleg Girko <ol@infoserver.lv> - 0.12.0-1
- Update to 0.12.0
* Tue Apr 25 2017 Oleg Girko <ol@infoserver.lv> - 0.11-1
- Initial package
